<ion-header>
	<ion-toolbar mode="ios" class="header-page" color="light">
		<ion-buttons slot="start">
			<ion-button (click)="this.commonMethodsTs.toPage_AdminDashboard()">
				<ion-icon slot="icon-only" name="arrow-back"></ion-icon>
			</ion-button>
		</ion-buttons>
		<ion-searchbar class="search-bar" placeholder="Tìm kiếm..." [(ngModel)]="this.search.tuKhoaTimKiem"
			(keyup.enter)="loadData()" (ionClear)="removeTuKhoaTimKiem()"></ion-searchbar>
		<ion-buttons slot="end">
			<ion-button (click)="syncThanhVienByIds()">
				<ion-icon slot="icon-only" name="sync"></ion-icon>
				Sync
			</ion-button>
		</ion-buttons>
	</ion-toolbar>
	<dailyxe-ion-search class="filter-header" type="basic" [options]="optionsSearch" [(ngModel)]="this.search" (onChange)="init()">
	</dailyxe-ion-search>

</ion-header>
<ion-content color="light" fullscreen [scrollEvents]="true" (ionScroll)="logScrolling()">
	<ion-grid fixed class="ion-no-padding">
		<ion-list *ngIf="data" class="raovat-list">
			<ion-item class="raovat-item" *ngFor="let item of data" (click)="selectThanhVien(item.Id)">
				<div class="raovat-box">
					<div class="raovat-avatar">
						<ion-avatar>
							<img lazy-loading-image [src]='item.UrlHinhDaiDien' />
						</ion-avatar>
					</div>
					<div class="raovat-info">
						<h3 class="title" (click)="selectThanhVien(item.Id)">
							<ion-icon color="success" *ngIf="item.GioiTinh" name="man"></ion-icon>
							<ion-icon color="danger" *ngIf="!item.GioiTinh" name="woman"></ion-icon>
							{{this.commonMethodsTs.getData(item, "HoTen", this.lbl.noneUpdate)}}
						</h3>
						<span>
							<ion-icon color="warning" name="mail"></ion-icon>
							{{this.commonMethodsTs.getData(item, "Email", this.lbl.noneUpdate)}}
						</span>
						<span>
							<ion-icon color="success" name="call"></ion-icon>
								{{this.commonMethodsTs.getData(item, "DienThoai", this.lbl.noneUpdate)}}
						</span>
						<span>
							<ion-icon color="success" name="calendar"></ion-icon>
							{{item.NgayTao? (item.NgayTao|date: 'dd/MM/yyyy HH:mm:ss'): this.lbl.noneUpdate}}
					</span>
					</div>
				</div>
			</ion-item>
			<div class="ion-text-center" *ngIf="data.length == 0">
				<ion-text color="danger" >
					<h4 >Không tìm thấy dữ liệu</h4>
				</ion-text>
			</div>
		
		</ion-list>
		<ion-list *ngIf="!data" class="raovat-list">
			<ion-item class="raovat-item">
				<div class="raovat-box">
					<div class="raovat-avatar">
						<ion-avatar>
							<ion-skeleton-text class="skeleton-thumb" animated style="width: 100%;">
							</ion-skeleton-text>
						</ion-avatar>
					</div>
					<div class="raovat-info">
						<h3 class="title">
							<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
							<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
						</h3>
						<span>
							<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
							<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
						</span>

						<div class="info-bottom">
							<p class="info-bottom-item">
								<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
								<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
							</p>

						</div>
					</div>
				</div>
			</ion-item>
			<ion-item class="raovat-item">
				<div class="raovat-box">
					<div class="raovat-avatar">
						<ion-avatar>
							<ion-skeleton-text class="skeleton-thumb" animated style="width: 100%;">
							</ion-skeleton-text>
						</ion-avatar>
					</div>
					<div class="raovat-info">
						<h3 class="title">
							<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
							<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
						</h3>
						<span>
							<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
							<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
						</span>

						<div class="info-bottom">
							<p class="info-bottom-item">
								<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
								<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
							</p>

						</div>
					</div>
				</div>
			</ion-item>
			<ion-item class="raovat-item">
				<div class="raovat-box">
					<div class="raovat-avatar">
						<ion-avatar>
							<ion-skeleton-text class="skeleton-thumb" animated style="width: 100%;">
							</ion-skeleton-text>
						</ion-avatar>
					</div>
					<div class="raovat-info">
						<h3 class="title">
							<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
							<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
						</h3>
						<span>
							<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
							<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
						</span>

						<div class="info-bottom">
							<p class="info-bottom-item">
								<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
								<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
							</p>

						</div>
					</div>
				</div>
			</ion-item>
			<ion-item class="raovat-item">
				<div class="raovat-box">
					<div class="raovat-avatar">
						<ion-avatar>
							<ion-skeleton-text class="skeleton-thumb" animated style="width: 100%;">
							</ion-skeleton-text>
						</ion-avatar>
					</div>
					<div class="raovat-info">
						<h3 class="title">
							<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
							<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
						</h3>
						<span>
							<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
							<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
						</span>

						<div class="info-bottom">
							<p class="info-bottom-item">
								<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
								<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
							</p>

						</div>
					</div>
				</div>
			</ion-item>
			<ion-item class="raovat-item">
				<div class="raovat-box">
					<div class="raovat-avatar">
						<ion-avatar>
							<ion-skeleton-text class="skeleton-thumb" animated style="width: 100%;">
							</ion-skeleton-text>
						</ion-avatar>
					</div>
					<div class="raovat-info">
						<h3 class="title">
							<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
							<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
						</h3>
						<span>
							<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
							<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
						</span>

						<div class="info-bottom">
							<p class="info-bottom-item">
								<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
								<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
							</p>

						</div>
					</div>
				</div>
			</ion-item>
		</ion-list>
		<ion-infinite-scroll (ionInfinite)="doInfinite($event)">
			<ion-infinite-scroll-content></ion-infinite-scroll-content>
		</ion-infinite-scroll>
	</ion-grid>
</ion-content>